// _GestionChangementsPosition_Interface.java
// Created on 23 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.carrieres.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionChangementsPosition_Interface extends COFrame {

    /** Creates new form _GestionChangementsPosition_Interface */
    public _GestionChangementsPosition_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        vueRneOrig = new org.cocktail.component.COView();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        cOTextField15 = new org.cocktail.component.COTextField();
        cOTextField16 = new org.cocktail.component.COTextField();
        cOTextField17 = new org.cocktail.component.COTextField();
        cOTextField18 = new org.cocktail.component.COTextField();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton16 = new org.cocktail.component.COButton();
        listeAffichage = new org.cocktail.component.COTable();
        cOView3 = new org.cocktail.component.COView();
        cOView2 = new org.cocktail.component.COView();
        jLabel3 = new javax.swing.JLabel();
        cOTextField2 = new org.cocktail.component.COTextField();
        cOTextField1 = new org.cocktail.component.COTextField();
        jLabel2 = new javax.swing.JLabel();
        cOView1 = new org.cocktail.component.COView();
        cOButton7 = new org.cocktail.component.COButton();
        cOButton6 = new org.cocktail.component.COButton();
        cOTextField5 = new org.cocktail.component.COTextField();
        cOTextField6 = new org.cocktail.component.COTextField();
        jLabel4 = new javax.swing.JLabel();
        cOTextField3 = new org.cocktail.component.COTextField();
        jLabel5 = new javax.swing.JLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        cOTextField19 = new org.cocktail.component.COTextField();
        cOTextField20 = new org.cocktail.component.COTextField();
        cOButton17 = new org.cocktail.component.COButton();
        cOButton18 = new org.cocktail.component.COButton();
        cOTextField12 = new org.cocktail.component.COTextField();
        jLabel9 = new javax.swing.JLabel();
        cOButton2 = new org.cocktail.component.COButton();
        cOTextField8 = new org.cocktail.component.COTextField();
        jLabel1 = new javax.swing.JLabel();
        cOTextField7 = new org.cocktail.component.COTextField();
        jLabel7 = new javax.swing.JLabel();
        cOTextField9 = new org.cocktail.component.COTextField();
        jLabel8 = new javax.swing.JLabel();
        swapViewRneOrigine = new org.cocktail.component.COView();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton13 = new org.cocktail.component.COButton();
        checkPcAcquitee = new org.cocktail.component.COCheckbox();
        jPanel1 = new javax.swing.JPanel();
        cOTextField13 = new org.cocktail.component.COTextField();
        cOButton8 = new org.cocktail.component.COButton();
        cOButton9 = new org.cocktail.component.COButton();
        cOTextField14 = new org.cocktail.component.COTextField();
        jLabel10 = new javax.swing.JLabel();
        labelEnfant = new javax.swing.JLabel();
        cOButton1 = new org.cocktail.component.COButton();
        cOTextField10 = new org.cocktail.component.COTextField();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton12 = new org.cocktail.component.COButton();
        cOButton14 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("ChangementPosition");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        jLabel11.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel11.setText("RNE");

        jLabel12.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel12.setText("Lieu");

        jLabel13.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel13.setText("Commentaire");

        cOTextField15.setDisplayGroupForValue(displayGroup);
        cOTextField15.setEnabledMethod("nonEditable");
        cOTextField15.setSupportsBackgroundColor(true);
        cOTextField15.setValueName("toRneOrigine.code");

        cOTextField16.setDisplayGroupForValue(displayGroup);
        cOTextField16.setEnabledMethod("nonEditable");
        cOTextField16.setSupportsBackgroundColor(true);
        cOTextField16.setValueName("toRneOrigine.libelleLong");

        cOTextField17.setDisplayGroupForValue(displayGroup);
        cOTextField17.setEnabledMethod("modificationEnCours");
        cOTextField17.setSupportsBackgroundColor(true);
        cOTextField17.setValueName("lieuPositionOrig");

        cOTextField18.setDisplayGroupForValue(displayGroup);
        cOTextField18.setEnabledMethod("modificationEnCours");
        cOTextField18.setSupportsBackgroundColor(true);
        cOTextField18.setValueName("txtPositionOrig");

        cOButton15.setActionName("supprimerRneOrig");
        cOButton15.setBorderPainted(false);
        cOButton15.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton15.setEnabledMethod("peutSupprimerRneOrig");
        cOButton15.setIconName("supprimer16.gif");

        cOButton16.setActionName("afficherRneOrig");
        cOButton16.setBorderPainted(false);
        cOButton16.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton16.setEnabledMethod("modificationEnCours");
        cOButton16.setIconName("loupe16.gif");

        org.jdesktop.layout.GroupLayout vueRneOrigLayout = new org.jdesktop.layout.GroupLayout(vueRneOrig);
        vueRneOrig.setLayout(vueRneOrigLayout);
        vueRneOrigLayout.setHorizontalGroup(
            vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueRneOrigLayout.createSequentialGroup()
                .add(14, 14, 14)
                .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(vueRneOrigLayout.createSequentialGroup()
                        .add(jLabel13)
                        .add(10, 10, 10)
                        .add(cOTextField18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 383, Short.MAX_VALUE))
                    .add(vueRneOrigLayout.createSequentialGroup()
                        .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 78, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(10, 10, 10)
                        .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(vueRneOrigLayout.createSequentialGroup()
                                .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOTextField16, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 300, Short.MAX_VALUE))
                            .add(cOTextField17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 382, Short.MAX_VALUE))))
                .add(5, 5, 5)
                .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        vueRneOrigLayout.setVerticalGroup(
            vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueRneOrigLayout.createSequentialGroup()
                .addContainerGap()
                .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel11)
                    .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(vueRneOrigLayout.createSequentialGroup()
                            .add(2, 2, 2)
                            .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(vueRneOrigLayout.createSequentialGroup()
                            .add(2, 2, 2)
                            .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(vueRneOrigLayout.createSequentialGroup()
                        .add(12, 12, 12)
                        .add(jLabel12))
                    .add(vueRneOrigLayout.createSequentialGroup()
                        .add(8, 8, 8)
                        .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(vueRneOrigLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(vueRneOrigLayout.createSequentialGroup()
                        .add(10, 10, 10)
                        .add(jLabel13))
                    .add(vueRneOrigLayout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        setControllerClassName("org.cocktail.mangue.client.carrieres.GestionChangementsPosition");
        setSize(new java.awt.Dimension(767, 600));

        listeAffichage.setColumns(new Object[][] {{"%d/%m/%Y","dateDebut",new Integer(0),"Date Début",new Integer(0),new Integer(80),new Integer(1000),new Integer(10)},{"%d/%m/%Y","dateFin",new Integer(0),"Date Fin",new Integer(0),new Integer(80),new Integer(1000),new Integer(10)},{"","toPosition.code",new Integer(0),"Position",new Integer(0),new Integer(50),new Integer(1000),new Integer(10)},{null,"lieuDestin",new Integer(2),"Lieu Position",new Integer(0),new Integer(209),new Integer(1000),new Integer(10)},{null,"lieuOrigine",new Integer(2),"Lieu Position Origine",new Integer(0),new Integer(210),new Integer(1000),new Integer(10)},{"0.00","quotite",new Integer(0),"Quotité",new Integer(0),new Integer(45),new Integer(1000),new Integer(43)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        cOView3.setIsBox(true);

        cOView2.setIsBox(true);
        cOView2.setTitle("Arrêté");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel3.setText("N°");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("modificationEnCours");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("noArrete");

        cOTextField1.setDisplayGroupForValue(displayGroup);
        cOTextField1.setEnabledMethod("modificationEnCours");
        cOTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField1.setSupportsBackgroundColor(true);
        cOTextField1.setValueName("dateArreteFormatee");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Date");

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(74, 74, 74)
                .add(jLabel3)
                .add(18, 18, 18)
                .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 157, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(28, 28, 28)
                .add(jLabel2)
                .add(18, 18, 18)
                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 80, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(107, Short.MAX_VALUE))
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        cOView1.setIsBox(true);
        cOView1.setTitle("Destination");

        cOButton7.setActionName("supprimerRne");
        cOButton7.setBorderPainted(false);
        cOButton7.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton7.setEnabledMethod("peutSupprimerRne");
        cOButton7.setIconName("supprimer16.gif");

        cOButton6.setActionName("afficherRne");
        cOButton6.setBorderPainted(false);
        cOButton6.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton6.setEnabledMethod("modificationEnCours");
        cOButton6.setIconName("loupe16.gif");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("nonEditable");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("toRne.libelleLong");
        cOTextField5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cOTextField5ActionPerformed(evt);
            }
        });

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("nonEditable");
        cOTextField6.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("toRne.code");

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel4.setText("UAI");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("modificationEnCours");
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("lieuPosition");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Lieu");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("modificationEnCours");
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("txtPosition");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel6.setText("Commentaire");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setText("Pays");

        cOTextField19.setDisplayGroupForValue(displayGroup);
        cOTextField19.setEnabledMethod("nonEditable");
        cOTextField19.setSupportsBackgroundColor(true);
        cOTextField19.setValueName("pays.libelleLong");

        cOTextField20.setEnabledMethod("peutSelectionnerPays");
        cOTextField20.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField20.setSupportsBackgroundColor(true);
        cOTextField20.setValueName("codePays");

        cOButton17.setActionName("afficherPays");
        cOButton17.setBorderPainted(false);
        cOButton17.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton17.setEnabledMethod("peutSelectionnerPays");
        cOButton17.setIconName("loupe16.gif");

        cOButton18.setActionName("supprimerPays");
        cOButton18.setBorderPainted(false);
        cOButton18.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton18.setEnabledMethod("peutSupprimerPays");
        cOButton18.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 111, Short.MAX_VALUE)
                    .add(jLabel14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 111, Short.MAX_VALUE)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 111, Short.MAX_VALUE)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 111, Short.MAX_VALUE))
                .add(18, 18, 18)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                        .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 376, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField19, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 458, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 458, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(4, 4, 4)
                        .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView1Layout.createSequentialGroup()
                        .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(4, 4, 4)
                        .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel14)
                    .add(cOButton17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6))
                .add(25, 25, 25))
        );

        cOTextField12.setDisplayGroupForValue(displayGroup);
        cOTextField12.setEnabledMethod("nonEditable");
        cOTextField12.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("toPosition.libelleCourt");

        jLabel9.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel9.setText("Position");

        cOButton2.setActionName("afficherPosition");
        cOButton2.setBorderPainted(false);
        cOButton2.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton2.setEnabledMethod("modificationEnCours");
        cOButton2.setIconName("loupe16.gif");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("modificationEnCours");
        cOTextField8.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("dateDebutFormatee");

        jLabel1.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel1.setText("Début");

        cOTextField7.setDisplayGroupForValue(displayGroup);
        cOTextField7.setEnabledMethod("modificationEnCours");
        cOTextField7.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("dateFinFormatee");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel7.setText("Fin");

        cOTextField9.setDisplayGroupForValue(displayGroup);
        cOTextField9.setEnabledMethod("peutModifierQuotite");
        cOTextField9.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField9.setNumberFieldFormat("0.00");
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("quotite");

        jLabel8.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel8.setText("Quotité");

        swapViewRneOrigine.setIsBox(true);
        swapViewRneOrigine.setTitle("Origine");

        org.jdesktop.layout.GroupLayout swapViewRneOrigineLayout = new org.jdesktop.layout.GroupLayout(swapViewRneOrigine);
        swapViewRneOrigine.setLayout(swapViewRneOrigineLayout);
        swapViewRneOrigineLayout.setHorizontalGroup(
            swapViewRneOrigineLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 651, Short.MAX_VALUE)
        );
        swapViewRneOrigineLayout.setVerticalGroup(
            swapViewRneOrigineLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 92, Short.MAX_VALUE)
        );

        cOButton10.setActionName("annuler");
        cOButton10.setBorderPainted(false);
        cOButton10.setIconName("annuler16.gif");

        cOButton13.setActionName("valider");
        cOButton13.setBorderPainted(false);
        cOButton13.setEnabledMethod("peutValider");
        cOButton13.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, Short.MAX_VALUE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .add(2, 2, 2)
                .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 27, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        checkPcAcquitee.setDisplayGroupForValue(displayGroup);
        checkPcAcquitee.setEnabledMethod("peutModifierPcAcquitee");
        checkPcAcquitee.setText(" PC Acquittées");
        checkPcAcquitee.setValueName("estPcAcquitee");
        checkPcAcquitee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPcAcquiteeActionPerformed(evt);
            }
        });

        cOTextField13.setDisplayGroupForValue(displayGroup);
        cOTextField13.setEnabledMethod("nonEditable");
        cOTextField13.setSupportsBackgroundColor(true);
        cOTextField13.setValueName("toMotifPosition.libelleCourt");

        cOButton8.setActionName("afficherMotif");
        cOButton8.setBorderPainted(false);
        cOButton8.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton8.setEnabledMethod("peutSelectionnerMotif");
        cOButton8.setIconName("loupe16.gif");

        cOButton9.setActionName("supprimerMotif");
        cOButton9.setBorderPainted(false);
        cOButton9.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton9.setEnabledMethod("peutSupprimerMotif");
        cOButton9.setIconName("supprimer16.gif");

        cOTextField14.setDisplayGroupForValue(displayGroup);
        cOTextField14.setEnabledMethod("nonEditable");
        cOTextField14.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        cOTextField14.setSupportsBackgroundColor(true);
        cOTextField14.setValueName("toMotifPosition.code");

        jLabel10.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel10.setText("Motif");

        labelEnfant.setFont(new java.awt.Font("Helvetica", 0, 12));
        labelEnfant.setText("Enfant");

        cOButton1.setActionName("afficherEnfant");
        cOButton1.setBorderPainted(false);
        cOButton1.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        cOButton1.setEnabledMethod("peutSelectionnerEnfant");
        cOButton1.setIconName("loupe16.gif");

        cOTextField10.setDisplayGroupForValue(displayGroup);
        cOTextField10.setEnabledMethod("nonEditable");
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("enfant.identite");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel10)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 306, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(labelEnfant)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 341, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(210, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel10)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                        .add(labelEnfant)))
                .add(16, 16, 16))
        );

        org.jdesktop.layout.GroupLayout cOView3Layout = new org.jdesktop.layout.GroupLayout(cOView3);
        cOView3.setLayout(cOView3Layout);
        cOView3Layout.setHorizontalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView3Layout.createSequentialGroup()
                        .add(swapViewRneOrigine, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())
                    .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(cOView3Layout.createSequentialGroup()
                            .add(2, 2, 2)
                            .add(jLabel1)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(cOView3Layout.createSequentialGroup()
                                    .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(18, 18, 18)
                                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(cOView3Layout.createSequentialGroup()
                                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                    .add(jLabel7)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                    .add(jLabel9)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 134, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                    .add(jLabel8)
                                    .add(6, 6, 6)
                                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 43, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(18, 18, 18)
                                    .add(checkPcAcquitee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .addContainerGap(21, Short.MAX_VALUE))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView3Layout.createSequentialGroup()
                            .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(48, 48, 48))
                        .add(cOView3Layout.createSequentialGroup()
                            .add(cOView1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(48, 48, 48)))))
        );
        cOView3Layout.setVerticalGroup(
            cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView3Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                        .add(jLabel1))
                    .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                        .add(jLabel7))
                    .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                        .add(jLabel9))
                    .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 22, Short.MAX_VALUE)
                        .add(checkPcAcquitee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(swapViewRneOrigine, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(18, 18, 18)
                .add(cOView3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 56, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 16, Short.MAX_VALUE)
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 71, Short.MAX_VALUE)
        );

        cOButton12.setActionName("modifier");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("boutonModificationAutorise");
        cOButton12.setIconName("modifier16.gif");

        cOButton14.setActionName("supprimer");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("peutSupprimer");
        cOButton14.setIconName("supprimer16.gif");

        cOButton11.setActionName("ajouter");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("modeSaisiePossible");
        cOButton11.setIconName("ajouter16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, cOView3, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 695, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 147, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOView3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cOTextField5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cOTextField5ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_cOTextField5ActionPerformed

    private void checkPcAcquiteeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPcAcquiteeActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkPcAcquiteeActionPerformed
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton17;
    public org.cocktail.component.COButton cOButton18;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField13;
    public org.cocktail.component.COTextField cOTextField14;
    public org.cocktail.component.COTextField cOTextField15;
    public org.cocktail.component.COTextField cOTextField16;
    public org.cocktail.component.COTextField cOTextField17;
    public org.cocktail.component.COTextField cOTextField18;
    public org.cocktail.component.COTextField cOTextField19;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField20;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    private org.cocktail.component.COView cOView3;
    public org.cocktail.component.COCheckbox checkPcAcquitee;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    public javax.swing.JLabel labelEnfant;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COView swapViewRneOrigine;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    public org.cocktail.component.COView vueRneOrig;
    // End of variables declaration//GEN-END:variables
                  

}
